gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] branch master updated: check for wallet-cli tools befor


From: gnunet
Subject: [taler-merchant] branch master updated: check for wallet-cli tools before using them in tests
Date: Mon, 18 Dec 2023 16:43:03 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository merchant.

The following commit(s) were added to refs/heads/master by this push:
     new bb1c56ee check for wallet-cli tools before using them in tests
bb1c56ee is described below

commit bb1c56eeb3d3ed15a229903d30e664e7441b91dd
Author: Christian Grothoff <grothoff@gnunet.org>
AuthorDate: Mon Dec 18 23:42:54 2023 +0800

    check for wallet-cli tools before using them in tests
---
 src/testing/test-merchant-walletharness.sh     |  7 ++-----
 src/testing/test_merchant_kyc.sh               |  1 +
 src/testing/test_merchant_order_autocleanup.sh | 11 +++++++++++
 src/testing/test_merchant_order_creation.sh    | 10 ++++++++++
 src/testing/test_merchant_product_creation.sh  | 11 +++++++++++
 src/testing/test_merchant_transfer_tracking.sh |  9 +++++++++
 src/testing/test_merchant_wirewatch.sh         | 16 ++++++++++++++++
 7 files changed, 60 insertions(+), 5 deletions(-)

diff --git a/src/testing/test-merchant-walletharness.sh 
b/src/testing/test-merchant-walletharness.sh
index 4c5a31d5..fe63f3fa 100755
--- a/src/testing/test-merchant-walletharness.sh
+++ b/src/testing/test-merchant-walletharness.sh
@@ -25,11 +25,7 @@ set -eu
 unset XDG_DATA_HOME
 unset XDG_CONFIG_HOME
 
-# Exit, with status code "skip" (no 'real' failure)
-function exit_skip() {
-    echo $1
-    exit 77
-}
+. setup.sh
 
 # If CLI is installed, assume all the suite is.
 echo -n "Testing for libeufin(-cli)"
@@ -40,6 +36,7 @@ echo -n "Testing for taler-harness"
 taler-harness --help >/dev/null </dev/null || exit_skip " MISSING"
 echo " FOUND"
 
+
 export WALLET_HARNESS_WITH_EUFIN=1
 res=0
 taler-harness run-integrationtests --dry --suites merchant 2&>/dev/null || 
res=$?
diff --git a/src/testing/test_merchant_kyc.sh b/src/testing/test_merchant_kyc.sh
index c76f1387..f2a74cd5 100755
--- a/src/testing/test_merchant_kyc.sh
+++ b/src/testing/test_merchant_kyc.sh
@@ -20,6 +20,7 @@ set -eu
 
 . setup.sh
 
+
 # Launch system.
 setup -c "test_template.conf" -mef -u "exchange-account-2"
 LAST_RESPONSE=$(mktemp -p "${TMPDIR:-/tmp}" test_response.conf-XXXXXX)
diff --git a/src/testing/test_merchant_order_autocleanup.sh 
b/src/testing/test_merchant_order_autocleanup.sh
index 5dde7e6e..80fd611c 100755
--- a/src/testing/test_merchant_order_autocleanup.sh
+++ b/src/testing/test_merchant_order_autocleanup.sh
@@ -3,6 +3,7 @@
 
 set -eu
 
+
 # Replace with 0 for nexus...
 USE_FAKEBANK=1
 if [ 1 = "$USE_FAKEBANK" ]
@@ -19,6 +20,16 @@ else
 fi
 
 . setup.sh
+
+# If CLI is installed, assume all the suite is.
+echo -n "Testing for libeufin(-cli)"
+libeufin-cli --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+echo -n "Testing for taler-harness"
+taler-harness --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
 # Launch exchange, merchant and bank.
 setup -c "test_template.conf" \
       -em \
diff --git a/src/testing/test_merchant_order_creation.sh 
b/src/testing/test_merchant_order_creation.sh
index fef71930..6c7db54b 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -23,6 +23,16 @@ else
 fi
 
 . setup.sh
+
+# If CLI is installed, assume all the suite is.
+echo -n "Testing for libeufin(-cli)"
+libeufin-cli --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+echo -n "Testing for taler-harness"
+taler-harness --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
 # Launch exchange, merchant and bank.
 setup -c "test_template.conf" \
       -em \
diff --git a/src/testing/test_merchant_product_creation.sh 
b/src/testing/test_merchant_product_creation.sh
index 2dab8461..a660e8b4 100755
--- a/src/testing/test_merchant_product_creation.sh
+++ b/src/testing/test_merchant_product_creation.sh
@@ -36,6 +36,17 @@ fi
 
 . setup.sh
 
+
+# If CLI is installed, assume all the suite is.
+echo -n "Testing for libeufin(-cli)"
+libeufin-cli --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+echo -n "Testing for taler-harness"
+taler-harness --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+
 # Launch system.
 setup -c "test_template.conf" \
       -em \
diff --git a/src/testing/test_merchant_transfer_tracking.sh 
b/src/testing/test_merchant_transfer_tracking.sh
index ca9c6e9d..b9c8cb2f 100755
--- a/src/testing/test_merchant_transfer_tracking.sh
+++ b/src/testing/test_merchant_transfer_tracking.sh
@@ -37,6 +37,15 @@ fi
 
 . setup.sh
 
+# If CLI is installed, assume all the suite is.
+echo -n "Testing for libeufin(-cli)"
+libeufin-cli --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+echo -n "Testing for taler-harness"
+taler-harness --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
 # Launch system.
 setup -c "test_template.conf" \
       -em \
diff --git a/src/testing/test_merchant_wirewatch.sh 
b/src/testing/test_merchant_wirewatch.sh
index 0db263d9..eb6de851 100755
--- a/src/testing/test_merchant_wirewatch.sh
+++ b/src/testing/test_merchant_wirewatch.sh
@@ -19,6 +19,22 @@
 # Testcase for #6363 (WiP)
 set -eu
 
+# Exit, with status code "skip" (no 'real' failure)
+function exit_skip() {
+    echo $1
+    exit 77
+}
+
+# If CLI is installed, assume all the suite is.
+echo -n "Testing for libeufin(-cli)"
+libeufin-cli --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+echo -n "Testing for taler-harness"
+taler-harness --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+
 # Replace with 0 for nexus...
 USE_FAKEBANK=1
 if [ 1 = "$USE_FAKEBANK" ]

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]